Skip to content
Start here

Create dispatch namespace

workers_for_platforms.dispatch.namespaces.create(NamespaceCreateParams**kwargs) -> NamespaceCreateResponse
POST/accounts/{account_id}/workers/dispatch/namespaces

Create a new Workers for Platforms namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
name: Optional[str]

The name of the dispatch namespace.

ReturnsExpand Collapse
class NamespaceCreateResponse:
created_by: Optional[str]

Identifier.

maxLength32
created_on: Optional[datetime]

When the script was created.

formatdate-time
modified_by: Optional[str]

Identifier.

maxLength32
modified_on: Optional[datetime]

When the script was last modified.

formatdate-time
namespace_id: Optional[str]

API Resource UUID tag.

maxLength36
namespace_name: Optional[str]

Name of the Workers for Platforms dispatch namespace.

script_count: Optional[int]

The current number of scripts in this Dispatch Namespace.

trusted_workers: Optional[bool]

Whether the Workers in the namespace are executed in a “trusted” manner. When a Worker is trusted, it has access to the shared caches for the zone in the Cache API, and has access to the request.cf object on incoming Requests. When a Worker is untrusted, caches are not shared across the zone, and request.cf is undefined. By default, Workers in a namespace are “untrusted”.

Create dispatch namespace

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
namespace = client.workers_for_platforms.dispatch.namespaces.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(namespace.namespace_id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_by": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2017-01-01T00:00:00Z",
    "modified_by": "023e105f4ecef8ad9ca31a8372d0c353",
    "modified_on": "2017-01-01T00:00:00Z",
    "namespace_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "namespace_name": "my-dispatch-namespace",
    "script_count": 800,
    "trusted_workers": false
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_by": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2017-01-01T00:00:00Z",
    "modified_by": "023e105f4ecef8ad9ca31a8372d0c353",
    "modified_on": "2017-01-01T00:00:00Z",
    "namespace_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "namespace_name": "my-dispatch-namespace",
    "script_count": 800,
    "trusted_workers": false
  }
}